## golang-github-google-certificate-transparency 0.0~git20160709.0.0f6e3d1~ds1

=== python/Makefile ===
PROTOC?=protoc
INSTALL_DIR?=`pwd`/../../install

all: ct/proto/client_pb2.py ct/proto/ct_pb2.py ct/proto/tls_options_pb2.py \
	ct/proto/test_message_pb2.py ct/proto/certificate_pb2.py

ct/proto/%_pb2.py: ct/proto/%.proto
	$(PROTOC) $^ -I/usr/include/ -I/usr/local/include -I$(INSTALL_DIR)/include -I. --python_out=.

ct/proto/ct_pb2.py: ../proto/ct.proto
	$(PROTOC) --python_out=ct/proto -I../proto ../proto/ct.proto

# TODO(laiqu) use unittest ability to detect tests
test: all
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/verify_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/merkle_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/pem_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/asn1/print_util_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/asn1/tag_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/asn1/types_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/asn1/oid_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/asn1/x509_time_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/crypto/cert_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db/sqlite_log_db_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db/sqlite_cert_db_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db/sqlite_temp_db_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db/sqlite_connection_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db/cert_desc_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/log_client_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/db_reporter_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/reporter_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/state_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/serialization/tls_message_test.py
# Tests using twisted trial instead of plain unittest.
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/monitor_test.py
	PYTHONPATH=$(PYTHONPATH):. ./ct/client/async_log_client_test.py

clean:
	cd ct/proto && rm -f *_pb2.py *.pb.cc *.pb.h
	find . -name '*.pyc' | xargs rm -f

=== python/requirements.txt ===
dnspython
ecdsa
https://google-visualization-python.googlecode.com/files/gviz_api_py-1.8.2.tar.gz
mock>=1.0
protobuf
python-gflags
requests>=1.0
Twisted>=12.1
bitstring
pycrypto>=2.5
jsonschema

=== test/Makefile ===
test: apachectl mod_ssl.so
	$(MAKE) -C ..
	OPENSSLDIR=$(OPENSSLDIR) ./sslconnect_test.sh

apachectl:
	{ which apachectl && ln -s `which apachectl` $@; } || \
	{ which apache2ctl && ln -s `which apache2ctl` $@; } || \
	{ test -x /usr/sbin/apachectl && ln -s /usr/sbin/apachectl $@; } || \
	{ test -x /usr/sbin/apache2ctl && ln -s /usr/sbin/apache2ctl $@; } || \
	{ echo "could not find $@"; false; }

mod_ssl.so:
	find \
	  /usr/lib/apache2/modules \
	  /usr/local/libexec/apache22 \
	  -name 'mod_ssl.so' | { read x; \
	    { test -n "$$x" && ln -s "$$x" $@; } || \
	    { echo "could not find $@"; false; } }

=== debian/changelog ===
golang-github-google-certificate-transparency (0.0~git20160709.0.0f6e3d1~ds1-3) unstable; urgency=medium

  * Team upload.
  * Use debhelper v10
  * Update to Standards-Version 4.1.1
    - Use HTTPS URL for d/copyright
    - Use Priority: optional
  * Build-Depend on libssl-dev. (Closes: #858828)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 20 Nov 2017 19:32:14 +0100

golang-github-google-certificate-transparency (0.0~git20160709.0.0f6e3d1~ds1-2) unstable; urgency=medium

  * Replace golang-go with golang-any in Build-Depends, remove golang-go from Depends

 -- Konstantinos Margaritis <markos@debian.org>  Tue, 08 Aug 2017 20:22:59 +0300

golang-github-google-certificate-transparency (0.0~git20160709.0.0f6e3d1~ds1-1) unstable; urgency=medium

  * Initial release (Closes: #854525)

 -- Tim Potter <tpot@hpe.com>  Thu, 03 Nov 2016 11:08:58 +1100

=== debian/control ===
Source: golang-github-google-certificate-transparency
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-juju-ratelimit-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-mreiferson-go-httpclient-dev,
               golang-github-stretchr-testify-dev,
               golang-golang-x-net-dev, golang-github-jmoiron-sqlx-dev,
               libssl-dev
Standards-Version: 4.1.1
Homepage: https://github.com/google/certificate-transparency
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-google-certificate-transparency.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-google-certificate-transparency.git
XS-Go-Import-Path: github.com/google/certificate-transparency

Package: golang-github-google-certificate-transparency-dev
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         golang-github-juju-ratelimit-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-mreiferson-go-httpclient-dev,
         golang-github-stretchr-testify-dev,
         golang-golang-x-net-dev, golang-github-jmoiron-sqlx-dev
Description: Framework for monitoring and auditing SSL certificates
 The Certificate Transparency project provides a framework to explore
 ideas to improve the security of HTTPS connections by adding new
 functional components to the current SSL security system: logging,
 monitoring and auditing.
 .
 Please see http://www.certificate-transparency.org for more details
 about certificate transparency and how it works.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

override_dh_auto_test:
	# TODO: fix "panic: runtime error: cgo argument has Go pointer to Go pointer [recovered]"

## golang-github-google-certificate-transparency 1.2.1

=== debian/changelog ===
golang-github-google-certificate-transparency (1.2.1-4) unstable; urgency=medium

  * Team upload
  * Add patch to fix build failure on 32bit systems

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Jul 2024 05:14:03 +0000

golang-github-google-certificate-transparency (1.2.1-3) unstable; urgency=medium

  * Team upload
  * Add Testsuite: autopkgtest-pkg-go in d/control

 -- Mathias Gibbens <gibmat@debian.org>  Sat, 27 Jul 2024 00:50:13 +0000

golang-github-google-certificate-transparency (1.2.1-2) unstable; urgency=medium

  * Team upload
  * Upload changes from experimental to unstable
  * d/control:
    - Update Team's email address
    - Update Standards-Version to 4.7.0 (no changes needed)
    - Bump debhelper-compat to v13
    - Sync Depends with Build-Depends

 -- Mathias Gibbens <gibmat@debian.org>  Fri, 26 Jul 2024 01:38:24 +0000

golang-github-google-certificate-transparency (1.2.1-1) experimental; urgency=medium

  * Team Upload.
  
  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Reinhard Tartler ]
  * New upstream release 1.2.1, NB: this repository has been split off
    into a golang library (which this package continues to follow), and
    the ct server called 'trillian' which is packaged separately.
    - updated debian/copyright to follow changes
  * Run package tests during packaging
  * Bump standards version to 4.6.2, no changes needed
  * Simplify packaging
  * Unvendor previously vendored dependencies
  * Limit golang packages that are built to reduce needed
    build-dependencies, until all of them are available in debian

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 22 Jun 2024 07:57:46 -0400

=== debian/control ===
Source: golang-github-google-certificate-transparency
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-gorilla-mux-dev,
               golang-github-hashicorp-golang-lru-v2-dev,
               golang-github-jmoiron-sqlx-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-mreiferson-go-httpclient-dev,
               golang-github-rs-cors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-testify-dev,
               golang-github-transparency-dev-merkle-dev,
               golang-golang-x-mod-dev,
               golang-golang-x-net-dev,
               golang-google-protobuf-dev,
               golang-k8s-klog-dev,
               libssl-dev
Standards-Version: 4.7.0
Homepage: https://github.com/google/certificate-transparency-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-google-certificate-transparency
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-google-certificate-transparency.git
XS-Go-Import-Path: github.com/google/certificate-transparency-go
Testsuite: autopkgtest-pkg-go

Package: golang-github-google-certificate-transparency-dev
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-github-gorilla-mux-dev,
         golang-github-hashicorp-golang-lru-v2-dev,
         golang-github-jmoiron-sqlx-dev,
         golang-github-juju-ratelimit-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-mreiferson-go-httpclient-dev,
         golang-github-rs-cors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-stretchr-testify-dev,
         golang-github-transparency-dev-merkle-dev,
         golang-golang-x-mod-dev,
         golang-golang-x-net-dev,
         golang-google-protobuf-dev,
         golang-k8s-klog-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Framework for monitoring and auditing SSL certificates
 The Certificate Transparency project provides a framework to explore
 ideas to improve the security of HTTPS connections by adding new
 functional components to the current SSL security system: logging,
 monitoring and auditing.
 .
 Please see http://www.certificate-transparency.org for more details
 about certificate transparency and how it works.

=== debian/rules ===
#!/usr/bin/make -f

# limit to packages that cfssl need, add more packages as needed

export DH_GOLANG_BUILDPKG := github.com/google/certificate-transparency-go/client github.com/google/certificate-transparency-go/jsonclient github.com/google/certificate-transparency-go/tls github.com/google/certificate-transparency-go/x509

# package has special testdata
export DH_GOLANG_INSTALL_ALL := 1

%:
	dh $@ --buildsystem=golang --with=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
    https://api.github.com/repos/google/certificate-transparency-go/releases?per_page=100 \
    https://api.github.com/repos/google/certificate-transparency-go/tarball/@ANY_VERSION@

## golang-github-google-certificate-transparency 1.3.1

=== debian/changelog ===
golang-github-google-certificate-transparency (1.3.1-2) unstable; urgency=medium

  * Team upload.
  * Add Breaks:sigstore-go<=0.6.2-3~ for testing migration.  Closes: #1093640.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 27 Jan 2025 08:33:00 +0100

golang-github-google-certificate-transparency (1.3.1-1) unstable; urgency=medium

  * Team upload.
  * Use DEP14 gbp.conf.
  * Look for new tags in d/watch.
  * New upstream version 1.3.1
  * Use DH_GOLANG_INSTALL_EXTRA instead of DH_GOLANG_INSTALL_ALL.
  * Add Rules-Requires-Root: no.
  * Bump d/* copyright years.

 -- Simon Josefsson <simon@josefsson.org>  Mon, 20 Jan 2025 12:22:21 +0100

=== debian/control ===
--- 
+++ 
@@ -29,6 +29,7 @@
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-google-certificate-transparency.git
 XS-Go-Import-Path: github.com/google/certificate-transparency-go
 Testsuite: autopkgtest-pkg-go
+Rules-Requires-Root: no
 
 Package: golang-github-google-certificate-transparency-dev
 Architecture: all
@@ -50,6 +51,7 @@
          golang-k8s-klog-dev,
          ${misc:Depends},
          ${shlibs:Depends}
+Breaks: golang-github-sigstore-sigstore-go-dev (<< 0.6.2-3~)
 Description: Framework for monitoring and auditing SSL certificates
  The Certificate Transparency project provides a framework to explore
  ideas to improve the security of HTTPS connections by adding new

=== debian/rules ===
#!/usr/bin/make -f

# limit to packages that cfssl need, add more packages as needed

export DH_GOLANG_BUILDPKG := github.com/google/certificate-transparency-go/client github.com/google/certificate-transparency-go/jsonclient github.com/google/certificate-transparency-go/tls github.com/google/certificate-transparency-go/x509

export DH_GOLANG_INSTALL_EXTRA := x509

%:
	dh $@ --buildsystem=golang --with=golang

## golang-github-google-certificate-transparency 1.3.2

=== trillian/testdata/Makefile ===
all: pubkeys ca leaves

# The following private keys are never regenerated.
SERVER_PRIVKEYS=ct-http-server.privkey.pem log-rpc-server.privkey.pem

# Corresponding passwords:
CT_HTTP_PWD=dirk
LOG_RPC_PWD=towel
MAP_RPC_PWD=towel

# Server public keys are derived from the corresponding private keys.
SERVER_PUBKEYS=$(subst .privkey,.pubkey,$(SERVER_PRIVKEYS))

# Build public keys from private keys
pubkeys: $(SERVER_PUBKEYS)
log-rpc-server.pubkey.pem: log-rpc-server.privkey.pem
	openssl ec -in $< -pubout -out $@ -passin pass:$(LOG_RPC_PWD)
ct-http-server.pubkey.pem: ct-http-server.privkey.pem
	openssl ec -in $< -pubout -out $@ -passin pass:$(CT_HTTP_PWD)


# We use a fake CA as a trust root for CT tests. This is its private key.
CA_PRIVKEY=fake-ca.privkey.pem
CA_PWD=gently

# We also have an intermediate CA, with private key:
INT_CA_PRIVKEY=int-ca.privkey.pem
INT_CA_PWD=babelfish

# All the leaf certificates share a private key:
LEAF_PRIVKEY=leaf.privkey.pem
LEAF_PWD=liff

ca: fake-ca.cert int-ca.cert

# Fake Root CA
fake-ca.cert: $(CA_PRIVKEY) fake-ca.cfg
	openssl req -new -x509 -config fake-ca.cfg -set_serial 0x0406cafe -days 3650 -extensions v3_ca -inform pem -key $(CA_PRIVKEY) -passin pass:$(CA_PWD) -out $@
show-ca: fake-ca.cert
	openssl x509 -inform pem -in $< -text -noout

# Fake Intermediate CA
int-ca.csr.pem: $(INT_CA_PRIVKEY) int-ca.cfg
	openssl req -new -sha256 -config int-ca.cfg -key $(INT_CA_PRIVKEY) -passin pass:$(INT_CA_PWD) -out $@
show-int-csr: int-ca.csr.pem
	openssl req -in $< -text -noout
int-ca.cert: int-ca.csr.pem $(CA_PRIVKEY) fake-ca.cert
	openssl x509 -req -in int-ca.csr.pem -sha256 -extfile fake-ca.cfg -extensions v3_int_ca -CA fake-ca.cert -CAkey $(CA_PRIVKEY) -passin pass:$(CA_PWD) -set_serial 0x42424242 -days 3600 -out $@
show-int-ca: int-ca.cert
	openssl x509 -inform pem -in $< -text -noout

# Leaf Certificates
LEAF_CERTS=leaf00.cert leaf01.cert leaf02.cert leaf03.cert leaf04.cert leaf05.cert leaf06.cert leaf07.cert leaf08.cert leaf09.cert leaf10.cert \
	leaf11.cert leaf12.cert leaf13.cert leaf14.cert leaf15.cert leaf16.cert leaf17.cert leaf18.cert leaf19.cert leaf20.cert
LEAF_CSRS=$(subst .cert,.csr.pem,$(LEAF_CERTS))
LEAF_CHAINS=$(subst .cert,.chain,$(LEAF_CERTS))
leaves: $(LEAF_CERTS) $(LEAF_CHAINS)

leaf%.csr.pem: $(LEAF_PRIVKEY)
	openssl req -new -sha256 -key $(LEAF_PRIVKEY) -passin pass:$(LEAF_PWD) -subj "/C=GB/ST=London/O=Google/OU=Eng/CN=$@" -out $@
show-leaf%-csr: leaf%.csr.pem
	openssl req -in $< -text -noout
leaf%.cert: leaf%.csr.pem int-ca.cert
	openssl x509 -req -in $< -sha256 -extfile int-ca.cfg -extensions v3_user -CA int-ca.cert -CAkey $(INT_CA_PRIVKEY) -passin pass:$(INT_CA_PWD) -set_serial 0xdeadbeef -days 2600 -out $@
show-leaf%: leaf%.cert
	openssl x509 -inform pem -in $< -text -noout
leaf%.chain: leaf%.cert int-ca.cert
	cat $^ > $@
# Special case: include the root too
leaf02.chain: leaf02.cert int-ca.cert fake-ca.cert
	cat $^ > $@
# Special case: add serverAuth EKU
leaf00.cert: leaf00.csr.pem leaf.privkey.pem int-ca.cert
	openssl x509 -req -in $< -sha256 -extfile int-ca.cfg -extensions v3_user_serverAuth -CA int-ca.cert -CAkey $(INT_CA_PRIVKEY)  -passin pass:$(INT_CA_PWD) -set_serial 0xdeadbeef -days 2600 -out $@
# Special case: add an unknown EKU
leaf03.cert: leaf03.csr.pem leaf.privkey.pem int-ca.cert
	openssl x509 -req -in $< -sha256 -extfile int-ca.cfg -extensions v3_user_plus -CA int-ca.cert -CAkey $(INT_CA_PRIVKEY)  -passin pass:$(INT_CA_PWD) -set_serial 0xdeadbeef -days 2600 -out $@


# Pair of intermediate CAs for a longer chain
INT_CA_1_PRIVKEY=int-ca-1.privkey.pem
INT_CA_2_PRIVKEY=int-ca-2.privkey.pem
INT_CA_1_PWD=vogon
INT_CA_2_PWD=vogon

# Fake Intermediate CA 1
int-ca-1.csr.pem: $(INT_CA_PRIVKEY) int-ca.cfg
	openssl req -new -sha256 -config int-ca.cfg -key $(INT_CA_1_PRIVKEY) -passin pass:$(INT_CA_1_PWD) -out $@
int-ca-1.cert: int-ca-1.csr.pem $(CA_PRIVKEY) fake-ca.cert
	openssl x509 -req -in int-ca-1.csr.pem -sha256 -extfile fake-ca.cfg -extensions v3_int_ca_pair -CA fake-ca.cert -CAkey $(CA_PRIVKEY) -passin pass:$(CA_PWD) -set_serial 0x01010101 -days 3600 -out $@

# Fake 2nd-level Intermediate CA 2
int-ca-2.csr.pem: int-ca-2.privkey.pem int-ca-2.cfg
	openssl req -new -sha256 -config int-ca-2.cfg -key $(INT_CA_2_PRIVKEY) -passin pass:$(INT_CA_2_PWD) -out $@
int-ca-2.cert: int-ca-2.csr.pem $(INT_CA_PRIVKEY) int-ca-1.cert
	openssl x509 -req -in int-ca-2.csr.pem -sha256 -extfile fake-ca.cfg -extensions v3_int_ca_pair -CA int-ca-1.cert -CAkey $(INT_CA_1_PRIVKEY) -passin pass:$(INT_CA_1_PWD) -set_serial 0x12121212 -days 3600 -out $@

# Length 4 chain (to allow mis-ordering tests).
subleaf.csr.pem: $(LEAF_PRIVKEY)
	openssl req -new -sha256 -key $(LEAF_PRIVKEY) -passin pass:$(LEAF_PWD) -subj "/C=GB/ST=London/O=Google/OU=Eng/CN=$@" -out $@
subleaf.cert: subleaf.csr.pem int-ca-2.cert
	openssl x509 -req -in $< -sha256 -extfile int-ca-2.cfg -extensions v3_user -CA int-ca-2.cert -CAkey $(INT_CA_2_PRIVKEY) -passin pass:$(INT_CA_2_PWD) -set_serial 0xdeadbeef -days 2600 -out $@
subleaf.chain: subleaf.cert int-ca-2.cert int-ca-1.cert fake-ca.cert
	cat $^ > $@
subleaf.misordered.chain: subleaf.cert int-ca-1.cert int-ca-2.cert fake-ca.cert
	cat $^ > $@

# Length 4 chain (to allow mis-ordering tests) for pre-cert.
subleaf-pre.cert: subleaf.csr.pem int-ca-2.cert
	openssl x509 -req -in $< -sha256 -extfile int-ca-2.cfg -extensions v3_user_pre -CA int-ca-2.cert -CAkey $(INT_CA_2_PRIVKEY) -passin pass:$(INT_CA_2_PWD) -set_serial 0xdeadbeef -days 2600 -out $@
subleaf-pre.chain: subleaf-pre.cert int-ca-2.cert int-ca-1.cert fake-ca.cert
	cat $^ > $@
subleaf-pre.misordered.chain: subleaf-pre.cert int-ca-1.cert int-ca-2.cert fake-ca.cert
	cat $^ > $@



# clean removes things that regenerate exactly the same.
clean:
	rm -f $(SERVER_PUBKEYS)
# distclean removes things that regenerate with changes (e.g. timestamped, randomized).
distclean: clean
	rm -f $(SERVER_PUBKEYS) fake-ca.cert int-ca.cert int-ca.csr.pem
	rm -f $(LEAF_CERTS) $(LEAF_CSRS) $(LEAF_CHAINS)


# We also use a second fake CA as a trust root for CT tests. This is its private key.
CA_1_PRIVKEY=fake-ca-1.privkey.pem
CA_1_PWD=ahenny

# Corresponding Leaf certificates.
LEAF_1_PRIVKEY=leaf-1.privkey.pem
LEAF_1_PWD=louth

# Fake Root CA 1
fake-ca-1.cert: $(CA_1_PRIVKEY) fake-ca.cfg
	openssl req -new -x509 -config fake-ca.cfg -set_serial 0x0406efac -days 3650 -extensions v3_ca1 -inform pem -key $(CA_1_PRIVKEY) -passin pass:$(CA_1_PWD) -out $@

leaf-1.csr.pem: $(LEAF_1_PRIVKEY)
	openssl req -new -sha256 -key $(LEAF_1_PRIVKEY) -passin pass:$(LEAF_1_PWD) -subj "/C=GB/ST=London/O=Google/OU=Eng/CN=$@" -out $@
leaf-1.cert: leaf-1.csr.pem fake-ca-1.cert
	openssl x509 -req -in $< -sha256 -extfile fake-ca.cfg -extensions v3_user -CA fake-ca-1.cert -CAkey $(CA_1_PRIVKEY) -passin pass:$(CA_1_PWD) -set_serial 0xdeadbeaf -days 2600 -out $@

# Short chain on CA 1
leaf-1.chain: leaf-1.cert fake-ca-1.cert
	cat $^ > $@	


# The newkey target creates a fresh private key; should never be needed.
newkey: fresh.privkey.pem
fresh.privkey.pem:
	openssl ecparam -genkey -name prime256v1 -noout -out $@.unencrypted
	openssl ec -in $@.unencrypted -out $@ -des  # Prompts for password
	rm -f $@.unencrypted

=== debian/changelog ===
golang-github-google-certificate-transparency (1.3.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Simon Josefsson <simon@josefsson.org>  Fri, 22 Aug 2025 20:04:52 +0200

golang-github-google-certificate-transparency (1.3.2-1) experimental; urgency=medium

  * Team upload.
  * New upstream version 1.3.2
  * Standards-Version: 4.7.2.
  * Drop some unused B-D's.
  * Use dh-sequence-golang.

 -- Simon Josefsson <simon@josefsson.org>  Thu, 21 Aug 2025 10:09:51 +0200

=== debian/control ===
Source: golang-github-google-certificate-transparency
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any,
               golang-github-golang-mock-dev,
               golang-github-gorilla-mux-dev,
               golang-github-hashicorp-golang-lru-v2-dev,
               golang-github-mattn-go-sqlite3-dev,
               golang-github-rs-cors-dev,
               golang-github-spf13-cobra-dev,
               golang-github-spf13-pflag-dev,
               golang-github-transparency-dev-merkle-dev,
               golang-google-protobuf-dev,
               golang-k8s-klog-dev,
Standards-Version: 4.7.2
Homepage: https://github.com/google/certificate-transparency-go
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-google-certificate-transparency
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-google-certificate-transparency.git
XS-Go-Import-Path: github.com/google/certificate-transparency-go
Testsuite: autopkgtest-pkg-go
Rules-Requires-Root: no

Package: golang-github-google-certificate-transparency-dev
Architecture: all
Depends: golang-github-golang-mock-dev,
         golang-github-gorilla-mux-dev,
         golang-github-hashicorp-golang-lru-v2-dev,
         golang-github-mattn-go-sqlite3-dev,
         golang-github-rs-cors-dev,
         golang-github-spf13-cobra-dev,
         golang-github-spf13-pflag-dev,
         golang-github-transparency-dev-merkle-dev,
         golang-google-protobuf-dev,
         golang-k8s-klog-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: golang-github-sigstore-sigstore-go-dev (<< 0.6.2-3~),
Description: Framework for monitoring and auditing SSL certificates
 The Certificate Transparency project provides a framework to explore
 ideas to improve the security of HTTPS connections by adding new
 functional components to the current SSL security system: logging,
 monitoring and auditing.
 .
 Please see http://www.certificate-transparency.org for more details
 about certificate transparency and how it works.

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 export DH_GOLANG_INSTALL_EXTRA := x509
 
 %:
-	dh $@ --buildsystem=golang --with=golang
+	dh $@ --builddirectory=_build --buildsystem=golang

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/" \
  https://github.com/google/certificate-transparency-go/tags .*/v?(\d\S*)\.tar\.gz debian
